Bug 660089 - Providing native systemd file for upcoming F15 Feature Systemd
Summary: Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: shorewall (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: SysVtoSystemd
TreeView+ depends on / blocked
 
Reported: 2010-12-05 13:42 UTC by Michał Piotrowski
Modified: 2011-09-20 21:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-20 21:08:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shorewall.service (321 bytes, text/plain)
2010-12-05 13:42 UTC, Michał Piotrowski
no flags Details
shorewall6.service (326 bytes, text/plain)
2010-12-05 13:42 UTC, Michał Piotrowski
no flags Details
shorewall6-lite.service (351 bytes, text/plain)
2010-12-05 13:43 UTC, Michał Piotrowski
no flags Details
shorewall-lite.service (346 bytes, text/plain)
2010-12-05 13:43 UTC, Michał Piotrowski
no flags Details

Description Michał Piotrowski 2010-12-05 13:42:02 UTC
Created attachment 464842 [details]
shorewall.service

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability

Comment 1 Michał Piotrowski 2010-12-05 13:42:50 UTC
Created attachment 464843 [details]
shorewall6.service

Comment 2 Michał Piotrowski 2010-12-05 13:43:13 UTC
Created attachment 464844 [details]
shorewall6-lite.service

Comment 3 Michał Piotrowski 2010-12-05 13:43:35 UTC
Created attachment 464845 [details]
shorewall-lite.service

Comment 4 Michał Piotrowski 2010-12-05 13:48:13 UTC
I had some problems while testing shorewall6-lite.service - probably due some local configuration problem.

I also added EnvironmentFile=/etc/sysconfig/shorewall* and $OPTIONS to all commands, but by default sysconfig files are not created by RPM's, so I guess it could be removed.

Comment 5 Michał Piotrowski 2010-12-09 08:46:26 UTC
These services should start after network.target
After=syslog.target network.target


Note You need to log in before you can comment on or make changes to this bug.